Get global notification subscription

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://developers.smartpm.com/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
{
  "SmartPM Public API MCP server": {
    "url": "https://developers.smartpm.com/mcp"
  }
}

Close
GET /global/notification-subscriptions/{notificationSubscriptionId}

Headers

  • X-COMPANY-ID string Required

    The company's unique ID

Path parameters

  • notificationSubscriptionId integer(int64) Required

Responses

  • 200 */*

    OK

    Hide response attributes Show response attributes object
    • global boolean
    • id integer(int64)
    • createdByUserId string(uuid)
    • notificationSubscriptionRecipients array[object]
      Hide notificationSubscriptionRecipients attributes Show notificationSubscriptionRecipients attributes object
      • recipient string
      • id integer(int64)
      • recipientType string

        Values are USER, ROLE, EMAIL, USER_GROUP, or INTEGRATION_PROVIDER.

    • milestoneType string

      Values are FULL_SCHEDULE, PRIMARY_MILESTONE, ALL_MILESTONES, or SELECTED_MILESTONES.

    • notificationType string

      Values are ALL_ANALYSIS, CHECKLIST, CLASSIFY_SCHEDULE, DELAY_ANALYSIS, EXECUTIVE, FILE_EXPORT, FILE_IMPORT, INTEGRATION_SYNC_DATATYPE, INTEGRATION_FILE_DOWNLOAD, INTEGRATION_FILE_VALIDATION, INTEGRATION_FILE_SYNC, MODEL_CREATE, MODEL_UPDATE, PLANNED_CURVE, PROJECT_BASELINE, PROJECT_IMPORT, PROJECT_REBUILD, SCENARIO_CREATE, SCENARIO_UPDATE, or SCHEDULE_REVIEW.

    • notificationStatus string

      Values are QUEUED, IN_PROCESS, COMPLETED, or FAILED.

    • subscriptionType string

      Values are EMAIL_NOTIFICATION or SMARTPM_DIGEST.

    • subscriptionDOWs array[object]
      Hide subscriptionDOWs attributes Show subscriptionDOWs attributes object
      • id integer(int64)
      • monday boolean
      • tuesday boolean
      • thursday boolean
      • wednesday boolean
      • friday boolean
      • saturday boolean
      • dowFrequency string

        Values are FIRST_OF_THE_MONTH, LAST_OF_THE_MONTH, SECOND_OF_THE_MONTH, THIRD_OF_THE_MONTH, FOURTH_OF_THE_MONTH, EVERY, FIRST_DAY_OF_THE_MONTH, or LAST_DAY_OF_THE_MONTH.

      • sunday boolean
    • notificationSubscriptionReports array[object]
      Hide notificationSubscriptionReports attributes Show notificationSubscriptionReports attributes object
      • id integer(int64)
      • reportTemplateId integer(int64)
    • skipAnalysisComplete boolean
    • name string
    • active boolean
    • description string
    • notificationSubscriptionCompanyFilters array[object]
      Hide notificationSubscriptionCompanyFilters attributes Show notificationSubscriptionCompanyFilters attributes object
      • id integer(int64)
      • filterKey string
      • filterValue string
    • modelType string

      Values are ALL_SCHEDULES, LATEST_BASELINE, or ALL_MODELS.

GET /global/notification-subscriptions/{notificationSubscriptionId}
curl \
 --request GET 'https://live.smartpmtech.com/global/notification-subscriptions/{notificationSubscriptionId}' \
 --header "X-API-KEY: $API_KEY" \
 --header "X-COMPANY-ID: string"
Response examples (200)
{
  "global": true,
  "id": 42,
  "createdByUserId": "string",
  "notificationSubscriptionRecipients": [
    {
      "recipient": "string",
      "id": 42,
      "recipientType": "USER"
    }
  ],
  "milestoneType": "FULL_SCHEDULE",
  "notificationType": "ALL_ANALYSIS",
  "notificationStatus": "QUEUED",
  "subscriptionType": "EMAIL_NOTIFICATION",
  "subscriptionDOWs": [
    {
      "id": 42,
      "monday": true,
      "tuesday": true,
      "thursday": true,
      "wednesday": true,
      "friday": true,
      "saturday": true,
      "dowFrequency": "FIRST_OF_THE_MONTH",
      "sunday": true
    }
  ],
  "notificationSubscriptionReports": [
    {
      "id": 42,
      "reportTemplateId": 42
    }
  ],
  "skipAnalysisComplete": true,
  "name": "string",
  "active": true,
  "description": "string",
  "notificationSubscriptionCompanyFilters": [
    {
      "id": 42,
      "filterKey": "string",
      "filterValue": "string"
    }
  ],
  "modelType": "ALL_SCHEDULES"
}